package cn.com.ctop.common.module.mapper;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @Description: oauth授权码
 * @Author: jeecg-boot
 * @Date: 2019-07-09
 * @Version: V1.0
 */
public interface CtopOauthTokenMapper extends BaseMapper<CtopOauthToken> {
    /**
     * 全查
     *
     * @return
     */
    List<CtopOauthToken> selectAll();

    /**
     * 更新
     * @param oauthToken
     * @return
     */
    int updateByPrimaryKeySelective(CtopOauthToken oauthToken);

    /**
     * 根据accountId查询
     * @param accountId
     * @return
     */
    CtopOauthToken selectByAccountId(Long accountId);

    List<CtopOauthToken> selectKuaiShouToken();

    List<CtopOauthToken> selectToutiaoToken();
}
